<?php
    // File: array.php
    // Demonstrates looping through arrays.

    function displayAssociativeArray() {
        $officers = ['CEO' => 'Mr. Ed', 'VP' => 'Curly', 'COO' => 'Monty Python'];

        echo "\$officers = ";
        print_r($officers);

        $values = '';
        foreach($officers as $v) {
            $values .= "$v, ";
        }
        // Must remove the last comma and space now.
        $values = rtrim($values, ', ');
        echo "<br><br>Array values: [$values]";

        $keys = '';
        foreach($officers as $key => $value) {
            $keys .= "$key, ";
        }
        $keys = rtrim($keys, ', ');
        echo "<br>Array Keys: [$keys]";
    }

    function displayIndexedArray() {
        $primes = [1, 2, 3, 5, 7, 11];
        echo "<br><br>\$primes = [1, 2, 3, 5, 7, 11]";

        for ($i = 0; $i < count($primes); $i++) {
            echo "<br>\$primes[$i]: $primes[$i]";
        }
    }

    displayAssociativeArray();
    displayIndexedArray();
?>