<?php
    // File: deleteTranscipt.php

    $id = sanitizeInput($_GET['id']);
 
    deleteTranscriptRecord($id);
    header("Location: editConfirm.php?record=transcript&recId=$id&editMode=delete");

    
    function sanitizeInput($data) {
        return htmlspecialchars( stripslashes( trim($data) ) );
    }// end sanitizeInput()


    function deleteTranscriptRecord($id) {
        try {
            require 'inc.db.php';
            
            // Connect to the database
            $pdo = new PDO(DSN, USER, PWD);
            
            // Configure error handling
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Create the queries
            $sql = "
                DELETE FROM transcript
                WHERE id=$id
            ";

            // Execute the query.
            $result = $pdo->exec($sql);
            $pdo = null;
                        
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }
    }// end deleteTranscripRecord()
?>