  <?php
    // File: login.php
    
    function sanitizeInput($value) {
        return htmlspecialchars( stripslashes( trim( $value ) ) );
    }// end sanitizeInput()
    
    // If POST then check submitted username/password
    if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
      session_start();
      
      // Get values submitted from the login form
      $username = sanitizeInput( $_POST['username'] );
      $password = sanitizeInput( $_POST['password'] );

      // Verify that user 'bsmith' provided the correct password ('opensesame')
      if ( $username == 'bsmith' && $password == 'opensesame' ) {
        $_SESSION['username'] = $username;
        $_SESSION['password'] = $password;

        header('Location: index.php');
        die;
        
      } else {
        echo "<p>Incorrect username or password.</p>";
      }
    }
  ?>

<!DOCTYPE html>
<html>
  <head><title>Login Form</title></head>

  <form method="post" action="login.php">
    <p>Username: <input name="username" autofocus></p>
    <p>Password: <input name="password" type="password"></p>
    <p><input type="submit" value="Login"></p>
  </form>
</html>