// File: index.js

// Cache all editing panel input elements.
var txt = document.getElementById('txt');
var rad = document.getElementById('rad');
var chk = document.getElementById('chk');
var sel = document.getElementById('sel');

// The following event handlers will update the info card appropriately
// with user interactions.
txt.addEventListener('input', function(){
    document.getElementById('name').innerHTML = this.value;
});

rad.addEventListener('change', function(){
    document.getElementById('radio').innerHTML = this.value;
});

chk.addEventListener('change', function(){
    document.getElementById('checkbox').innerHTML = this.value;
});

sel.addEventListener('input', function(){
    console.dir(this);
    document.getElementById('select').innerHTML = this.value;
});
