<?php
// File: index.php
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <title>jQuery Ajax Demo</title>
    <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
  </head>

  <body id="page">
      <main id="content" class="w3-panel">
        <h1 class="w3-panel w3-red w3-center">Post User Quote</h1>

        <form id="userQuoteForm" class="w3-panel" action="postQuote.php" method="POST">
          <h2 id="postStatusH2" class="w3-center w3-green"></h2>
          <p>
            <input id="firstNameText" class="w3-input w3-border_bottom" placeholder="First name" name="firstName" autofocus>
          </p>
          <p>
            <input id="lastNameText" class="w3-input w3-border_bottom" placeholder="Last Name" name="lastName">
          </p>
          <p>
            <input id="userQuoteText" class="w3-input w3-border_bottom" placeholder="Your quote" name="userQuote">
          </p>
          <br>
          <p>
            <button id="quoteButton" class="w3-button w3-block w3-round w3-green">Save User Quote</button>
          </p>
        </form>
      </main>

      <footer class="w3-panel w3-center w3-text-gray w3-small">
        &copy; 2019 Socratis Tornaritis
      </footer>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
      <script src="js/index.js"></script>
  </body>
</html>