// File: js/index.js

console.info("This is another message");
console.warn("This is a warning");
console.error("This is a error");

const PI = 3.14;

let x = 10;
const y = 7;

document.write(x + y);
// y = 0;

/* This is 
 * multiline comment.
 */

 {
  let x = "hi";
  console.log(x);
}
console.log(x);

var a = 1;
console.log( Math.floor(a / 2) );


let names = ["A", "C", "B", "D"];

names.push("E");
names.pop();
names.unshift("E");
names.shift();
names.splice(0,1,"E","F");
names[10] = "F";
console.log( names );

console.log( names.sort() );
console.log( names.reverse() );
console.log( names.toString() );

console.log( window.a );

for (var i in names) {
  console.log(i);
}

for (var n of names) {
  console.log(n);
}

var sumInt = function (n1, n2) { return n1 + n2; }

console.log( sumInt(3, 4) );
console.log(sumInt);

// IIFE (Immediately Invoked Function Expression)
(function() { console.log('Welcome to JS'); })();

(function(n1, n2) { console.info(n1 + n2); })(2, 5);



let book = {
  title: "Outliers",
  published: 2011,
  keywords: ["success", "high-achievers"],
  author: { firstName: "Malcom", lastName: "Gladwell" },

  getAuthorName: function() { return this.author.firstName + ' ' + this.author.lastName; }
};

console.log(book.title);
console.log(book.keywords[0]);
console.log(book.author.lastName);
console.log( book.getAuthorName() );

book.getAuthor = function() { return this.author; }
let author = book.getAuthor();
console.log('Author: ' + author.firstName + ' ' + author.lastName);

let square = {
  width: 5,
  height: 8,

  get area()           { return this.width * this.height;                  },
  set area(squareArea) { this.width = this.height = Math.sqrt(squareArea); }
};

 console.log('Current area: ' + square.area);
 square.area = 100;
 console.log('Current width: ' + square.width);