// File: js/index.js


let getJsonButton = document.getElementById('getJson');

getJsonButton.addEventListener('click', function() {
  let jsonContentNode = document.getElementById('json-content');

  // Create the Ajax object.
  let xhr = new XMLHttpRequest();

  // Register the 'load' event.
  xhr.addEventListener('load', function() {
    if (this.status === 200) {
      // success
      let jsObj = this.response;

      jsonContentNode.innerHTML = `${jsObj.number}-${jsObj.title}, ${jsObj.hours}`;
    }
  });

  xhr.responseType = 'json';
  xhr.open("GET", "data.json", true);
  xhr.send();
});