// File: js/index.js

$( function() {
  let $firstNameText = $('#firstNameText');
  let $lastNameText = $('#lastNameText');
  let $quoteButton = $('#quoteButton');
  let $quoteH2 = $('#quoteH2');

  $firstNameText.on('blur', function() {
      if ($firstNameText.val() === '') {
          $firstNameText.focus();
      } 
  });

  $lastNameText.on('blur', function() {
      if ($lastNameText.val() === '') {
          $lastNameText.focus();
      }
  });

  $quoteButton.on('click', function(e) {
      e.preventDefault();

      let qs = $('#userQuoteForm').serialize();
      $.get('getQuote.php', qs, function(response, status) {
          if (status === 'success') { $quoteH2.html(response);                      }
          else                      { $quoteH2.html('Well, something went wrong.'); }
          $firstNameText.select();
      });
  });
});