  <!-- File: form-basic-draft-2.php
    Author: Socratis Tornaritis 
    
    Note: This draft validates/sanitizes the fields, but does not
    remember the entered values. Thus the user must re-enter with
    each infraction. -->

<!DOCTYPE html>
<html>
    <head>
        <title>Form Basics Demo</title>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body class="w3-container w3-margin-left">
        <form action="form-basic-draft-2-handler.php" method="POST">
            <h1>A Basic Form</h1>

            <!-- The 'required' parameter is a simple client-side validation.
                 The 'span' reflects the empty status of the field. -->
            <p>
                <input name="fname" placeholder="First name" required>
                <span class="<?php echo $fnameClass? $fnameClass : 'w3-text-red'; ?>"> *</span>
            </p>
            <p>
                <input name="lname" placeholder="Last name" required>
                <span class="<?php echo $lnameClass? $lnameClass : 'w3-text-red'; ?>"> *</span>
            </p>

            <p>
                <label>Year in school:</label>
                <select name="yearInSchool">
                    <option value="Fr" selected>Freshman</option>
                    <option value="So">Sophomore</option>
                    <option value="Jr">Junior</option>
                    <option value="Sr">Senior</option>
                </select>
                <span class="<?php echo $yearInSchoolClass? $yearInSchoolClass : 'w3-text-red'; ?>"> *</span>
            </p>
            <p>
                <label>CS program:</label>
                <span class="<?php echo $csProgramClass? $csProgramClass : 'w3-text-red'; ?>"> *</span>
                <br><input type="radio" name="csProgram" value="BS"> BS
                <br><input type="radio" name="csProgram" value="BA"> BA
            </p>
            <p>
                <label>Clubs:</label>
                <br><input type="checkbox" name="clubs[]" value="CAOS"> CAOS
                <br><input type="checkbox" name="clubs[]" value="ARC"> ARC
                <br><input type="checkbox" name="clubs[]" value="WICSCE"> WICSCE
            </p>
            <p><button name="submit">Submit</button><p>
        </form>

        <footer>Copyright &copy;  2018 Socratis Tornaritis. All rights reserved.</footer>
    </body>
</html>

