<?php

    /*   File: welcome.html
     * Author: Socratis Tornaritis
     */
    function sanitizeInput($data) {
        return trim( stripslashes( htmlspecialchars($data) ) );
    }

    $welcomeMessage = sanitizeInput($_GET['welcomeMessage']);
    $curYear = date('Y');
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Welcome Page</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body>
        <h1>
            <?php echo $welcomeMessage; ?>
        </h1>
        <footer>
            &copy; 2014-<?php echo $curYear; ?> Socratis Tornaritis.
        </footer>
    </body>
</html>