<?php
    // File: index.php

    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    include 'inc.header.php';
?>


<header class="w3-container w3-red w3-margin-top">
    <h1 class="w3-center">School DB - Insert Demo</h1>
</header>

<div class="w3-container w3-light-grey w3-center">
    <br>
    <form method="GET">
        <p>
            <!-- FIX: Add a 'formaction' attribute to each button, redirecting to proper handling script. -->
            <button formaction="addStudentForm.php" class="w3-button w3-round-large w3-red">Add Student</button>
            <button formaction="addCourseForm.php" class="w3-button w3-round-large w3-red">Add Course</button>
            <button formaction="addTranscriptForm.php" class="w3-button w3-round-large w3-red">Add Transcript</button>
        </p>
    </form>
    <br>
</div>

<?php include 'inc.footer.php'; ?>