<?php
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');
    
    // If posting then create account
    if ( $_SERVER['REQUEST_METHOD'] == "POST" ) {
        // Get the user credentials
        $username = $_POST['username'];
        $password = $_POST['password'];
        
        // Hash the password
        $passwordHash = password_hash($password, PASSWORD_BCRYPT);
        
        try {
            $pdo = new PDO('mysql:host=localhost;dbname=bcrypt', 'root', 'root');
            
            $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            
            // Insert username and password hash into 'users' table, with the 'bcrypt' database.
            $sql = 'INSERT INTO users ' .
            '  (username, password) ' .
            'VALUES ' .
            "  ('$username', '$passwordHash')";
            
            if ( $pdo->exec($sql) ) {
                echo '<p>Your account has been created.</p>',
                '<p><a href="login.php">Login</a></p>';
                $pdo = null;
                die;
            } else {
                die("Sorry, could not create your account.");
            }
        } catch (PDOException $e) {
            die ( $e->getMessage() );
        }    
    }
?>

<!DOCTYPE html>
<html>
<head><title>Create Account</title></head>
<body>
    <form action="createAccount.php" method="post">
        <p>
            <label>Username: <input name="username" autofocus</label>
        </p>
        <p>
            <label>Password: <input type="password" name="password"</label>
        </p>
        <p>
            <input type="submit" value="Create Account">
        </p>
    </form>
</body>
</html>