<?php    
    // File: index.php
    error_reporting(E_ALL);
    ini_set('display_errors', '1');

    // Capture the current year.
    $curYear = date('Y');

    // Check if the details key has bee set. This is in the querystring.
    if ( isset($_GET['details']) ) {
        $photoDetails = "<h2>School of Engineering, SIUE</h2>";
    } else {
        $photoDetails = '';
    }
?>

<!-- File: index.php
   Author: Socratis Tornaritis -->
<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8" 
              name="viewport" 
              content="width=device-width, initial-scale=1.0">
        <title>PHP Demo</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">

        <!-- Use the newer fa framework -->
        <link rel="stylesheet" 
              href="https://use.fontawesome.com/releases/v5.7.2/css/all.css"  
              integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" 
              crossorigin="anonymous">
    </head>

    <body>
        <header><h1>First PHP Demo</h1></header>

        <main class="w3-container">
            <!-- The first third container to show image. -->
            <div class="w3-third w3-display-container w3-hover-opacity">
                <img src="https://www.siue.edu/news/2014/02/img/SOE_addition.jpg" 
                     alt="SOE attrium" 
                     class="w3-image w3-round">

                <div class="w3-display-middle w3-display-hover">
                    <!-- Note the querystring in the href. -->
                    <a href="index.php?details=1">
                        <button><i class="fas fa-info-circle"></i></button>
                    </a>
                </div>
            </div>
            <!-- The second third container to show results -->
            <div class="w3-third w3-panel">
                <?php echo $photoDetails; ?>
            </div>
        </main>

        <footer class="w3-panel">
            Copyright &copy; 2014-<?php echo $curYear; ?>  Socratis Tornaritis. 
        </footer>
    </body>
</html>
