<?php
    /*   File: index.php
     * Author: Socratis Tornaritis
     */

    declare(strict_type=1);
     error_reporting(E_ALL);
     ini_set('display_errors', 1);

    $curYear = date('Y');

    //  Include the support script that builds a table
    include 'inc.tableBuilder.php';
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Calendar</title>
        <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    </head>

    <body class="w3-panel">
        <?php buildMonthCalendar('march.json'); ?>

        <footer class="w3-panel w3-center w3-small w3-text-grey">
            &copy; 2014-<?php echo $curYear; ?> Socratis Tornaritis.
        </footer>
    </body>
</html>