<?php
  // File: index.php
?>


<!DOCTYPE html>
<html>
  <head>
    <title>JS Objects</title>
    <meta charset="utf-8"
          name="viewport"
          content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  </head>

  <body>
    <main id="content" class="w3-panel">
      <table class="w3-table-all w3-centered">
        <caption class="w3-panel w3-large">Current Schedule</caption>

        <thead>
          <tr class="w3-khaki">
            <th>Time</th>
            <th>M</th>
            <th>T</th>
            <th>W</th>
            <th>R</th>
            <th>F</th>
          </tr>
        </thead>

        <tbody>
          <tr>
            <th class="w3-khaki">0800</th>
            <td id="M0800" class="w3-border"></td>
            <td id="T0800" class="w3-border"></td>
            <td id="W0800" class="w3-border"></td>
            <td id="R0800" class="w3-border"></td>
            <td id="F0800" class="w3-border"></td>
          </tr>

          <tr>
              <th class="w3-khaki">1000</th>
              <td id="M1000" class="w3-border"></td>
              <td id="T1000" class="w3-border"></td>
              <td id="W1000" class="w3-border"></td>
              <td id="R1000" class="w3-border"></td>
              <td id="F1000" class="w3-border"></td>
            </tr>

            <tr>
                <th class="w3-khaki">1100</th>
                <td id="M1100" class="w3-border"></td>
                <td id="T1100" class="w3-border"></td>
                <td id="W1100" class="w3-border"></td>
                <td id="R1100" class="w3-border"></td>
                <td id="F1100" class="w3-border"></td>
              </tr>

              <tr>
                  <th class="w3-khaki">1400</th>
                  <td id="M1400" class="w3-border"></td>
                  <td id="T1400" class="w3-border"></td>
                  <td id="W1400" class="w3-border"></td>
                  <td id="R1400" class="w3-border"></td>
                  <td id="F1400" class="w3-border"></td>
                </tr>

                <tr>
                    <th class="w3-khaki">1530</th>
                    <td id="M1530" class="w3-border"></td>
                    <td id="T1530" class="w3-border"></td>
                    <td id="W1530" class="w3-border"></td>
                    <td id="R1530" class="w3-border"></td>
                    <td id="F1530" class="w3-border"></td>
                  </tr>
        </tbody>
      </table>
    </main>

    <footer class="w3-panel w3-center w3-text-gray w3-small">
        &copy; Socratis Tornaritis.
    </footer>

    <script src="js/index.js"></script>
  </body>
</html>