<?php
// File: index.php
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <title>jQuery Ajax Demo</title>
    <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
  </head>

  <body id="page">
    <main id="content" class="w3-panel">
      <h1 class="w3-panel w3-red w3-center">Faculty Teaching Schedule</h1>

      <div class="w3-cell-row">
        <!-- Images -->
        <div class="w3-container w3-cell w3-quarter">
          <div id="Klein" class="w3-card w3-panel"><!-- Klein -->
            <h4>Instructor</h4>
            <img src="http://www.cs.siue.edu/sites/default/files/photos/spk.jpg" style="width:30%">
            <h4 id="KleinH4">Klein, Steve</h4>
          </div>

          <div id="Tetzner" class="w3-card w3-panel"><!-- Tetzner -->
            <h4>Instructor</h4>
            <img src="http://www.cs.siue.edu/sites/default/files/photos/ltetzne.jpg" style="width:30%">
            <h4 id="TetznerH4">Tetzner, Lori</h4>
          </div>

          <div id="Tornaritis" class="w3-card w3-panel"><!-- Tornaritis -->
            <h4>Instructor</h4>
            <img src="http://www.cs.siue.edu/sites/default/files/photos/st.jpg" style="width:30%">
            <h4 id="TornaritisH4">Tornaritis, Socratis</h4>
          </div>
      </div>

      <!-- Teaching Schedules -->
      <div class="w3-container w3-cell w3-threequarter">
        <div id="contentCard" class="w3-card w3-panel">
          <h2 class="w3-red w3-center">Fall 2019</h2>
          <div>
            <table class="w3-table-all">
              <thead class="w3-khaki">
                <tr><th>Course</th><th>Days</th><th>Time</th><th>Room</th></tr>
              </thead>
              <tbody id="scheduleTBody"></tbody>
            <table>
          </div>
          <h4 id="instructorNameH4">Instructor</h4>
        </div>
      </div>
    </main>

    <footer class="w3-panel w3-center w3-text-gray w3-small">
      &copy; 2019 Socratis Tornaritis
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="js/index.js"></script>
  </body>
</html>