<?php
// File: index.php
?>

<!-- File:  Enter filename
   Author: Socratis Tornaritis -->
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Base Conversion</title>
    <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
  </head>

  <body id="page-index">
      <main id="content" class="w3-center">
        <h1 class="w3-panel w3-brown">Base Conversion</h1>

        <div class="w3-cell-row">
          <div class="w3-cell w3-khaki w3-panel w3-mobile"><!-- From panel -->
            <p class="w3-left-align">
              <input class="w3-radio" type="radio" name="baseFrom" id="decFrom" checked>Dec
              <input class="w3-radio" type="radio" name="baseFrom" id="hexFrom">Hex
              <input class="w3-radio" type="radio" name="baseFrom" id="binFrom">Bin
            </p>
            <p>
              <input accesskey="F" class="w3-input" type="text" id="fromText" autofocus placeholder="From">
            </p>
          </div>

          <div class="w3-cell w3-cell-middle w3-mobile"><!-- Conversion button -->
            <button class="w3-button w3-green w3-border w3-round" id="convert">Convert</button>
          </div>
          
          <div class="w3-cell w3-khaki w3-panel w3-mobile"><!-- To panel -->
            <p class="w3-left-align">
              <input class="w3-radio" type="radio" name="baseTo" id="decTo">Dec
              <input class="w3-radio" type="radio" name="baseTo" id="hexTo">Hex
              <input class="w3-radio" type="radio" name="baseTo" id="binTo" checked>Bin
            </p>
            <p>
              <input  class="w3-input" type="text" id="toText" placeholder="To" readonly>
            </p>
          </div>
        </div>
      </main>

      <footer class="w3-panel w3-center w3-text-gray w3-small">
        &copy; 2019 Socratis Tornaritis.
      </footer>
      <script src="js/index.js"></script>
  </body>
</html>