// File: js/index.js
$(function() {
  let $instructorCards = $('.w3-card');

  $instructorCards.on('mouseenter', function(e) {
    let $card = $(e.target);
    let cardId = $card.attr('id');
  
    if ( cardId != 'contentCard') {
      $card.css('cursor', 'pointer');
      
      let instructorId = cardId;
      let $instructorName = $(`#${instructorId}H4`).text();

      $.get(`teachingSchedule.php?instructor=${instructorId}`, function(courses) {
        let courseRow = '';
        $(courses).each( function(index, object) {
          courseRow += `<tr><td>${object.course}</td><td>${object.days}</td><td>${object.time}</td><td>${object.room}</td></tr>`;
        });
        $('#scheduleTBody').html(courseRow);
      }, 'json');

      $('#instructorNameH4').text($instructorName);
    }
  });
});