// File: js/index.js

$( function() {
  let $firstNameText = $('#firstNameText');
  let $lastNameText = $('#lastNameText');
  let $userQuoteText = $('#userQuoteText');
  let $postStatusH2 = $('#postStatusH2');
  let $quoteButton = $('#quoteButton');

  $firstNameText.on('blur', function() {
      $postStatusH2.text('');
      if ($firstNameText.val() === '') {
          $firstNameText.focus();
      } 
  });

  $lastNameText.on('blur', function() {
      if ($lastNameText.val() === '') {
          $lastNameText.focus();
      }
  });

  $userQuoteText.on('blur', function() {
    if ($userQuoteText.val() === '') {
        $userQuoteText.focus();
    }
  });

  $quoteButton.on('click', function(e) {
      e.preventDefault();

      let formData = $('#userQuoteForm').serialize();
      $.post('postQuote.php', formData, function(response, status) {
          if (status === 'success') { $postStatusH2.html(response);                      }
          else                      { $postStatusH2.html('Well, something went wrong.'); }
          $firstNameText.select();
      });
  });
});