<?php
// File: getQuote.php

declare (strict_types=1);
error_reporting(E_ALL);
ini_set('display_errors', '1');


function sanitize(string $value) : string {
    return htmlspecialchars( stripslashes( trim( $value ) ) );
} 

$firstName = sanitize($_POST['firstName']);
$lastName = sanitize($_POST['lastName']);
$userQuote = addSlashes(sanitize($_POST['userQuote']));

try {
  $dsn = "mysql:host=localhost;dbname=quotes";
  $pdo = new PDO($dsn, 'root', 'root');

  $sql = "INSERT INTO quote
          (firstName, lastName, saying)
          VALUES
          ('$firstName', '$lastName', '$userQuote')
          ";

  $affectedRows = $pdo->exec($sql);
  
  if ($affectedRows == 1) {
    echo "Quote posted.";

  } else {
    echo "Unable to post quote."; 
  }
  $pdo = null;

} catch(PDOException $e) {
  echo "Unable to save quote for some reason.";
}
?>