<?php
// File: getQuote.php

declare (strict_types=1);
error_reporting(E_ALL);
ini_set('display_errors', '1');

/* Receives the first and last names via the querystring.
 * Accesses a database to retrieve the quote.
 */
function sanitize(string $value) : string {
    return htmlspecialchars( stripslashes( trim( $value ) ) );
} 

$firstName = sanitize($_GET['firstName']);
$lastName = sanitize($_GET['lastName']);

try {
  $dsn = "mysql:host=localhost;dbname=quotes";
  $pdo = new PDO($dsn, 'root', 'root');

  $sql = "SELECT saying AS quote 
          FROM quote 
          WHERE firstName='$firstName' 
          AND lastName='$lastName'
          ";

  $quoteStatement = $pdo->query($sql);
  if ($quoteStatement->rowCount() == 1) {
    echo $quoteStatement->fetch(PDO::FETCH_ASSOC)['quote'];

  } else {
    echo "Unable to locate user's quote."; 
  }
  $pdo = null;

} catch(PDOException $e) {
  echo "Unable to retrieve quote for some reason.";
}
?>