<?php
// File: index.php
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>jQuery Selectors</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body id="page">
        
        <h1 class="w3-center">h1: jQuery Selectors Demo</h1>

        <main id="content" class="w3-panel">
            <h2>h2: Section 1</h2>
            <section id="sect1" class="w3-border">
                section#sect1
                <p id="p11">p#p11: Paragraph 1</p>
                <p id="p12">p#p12: Paragraph 2</p>
                <p id="p13">p#p13: Paragraph 3</p>
            </section>
            <br>

            <h2>h2: Section 2</h2>
            <section id="sect2" class="w3-border">
                section#sect2
                <p id="p21">p#p21: Paragraph 1</p>
                <p id="p22">p#p22: Paragraph 2</p>
            </section>
        </main>


        <!-- Eval panel -->
        <div class="w3-cell-row">
            <div class="w3-container w3-cell" style="width:25%"></div>
            <div class="w3-container w3-cell">
                <h1 class="w3-center">Evaluation Panel</h1>
                <textarea id="evalPanel" class="w3-input w3-border w3-light-gray" placeholder="Enter jQ selection" autofocus></textarea>
            </div>
            <div class="w3-container w3-cell" style="width:25%"></div>
        </div>

        <footer class="w3-panel w3-center w3-text-gray w3-small">
            &copy; 2019 Socratis Tornaritis
        </footer>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="js/index.js"></script>
    </body>
</html>