// File: /public/javascripts/calendar.js

$( function() {
    var $thElements = $('th:eq(0), th:eq(6)');
    var $tdElements = $('td');

    $thElements.addClass('wkend');

    for (var day = 1; day <= 30; day++) {
        if (day % 7 == 0 || day % 7 == 1) {
            $tdElements.eq(day - 1).attr('class', 'wkend');
        }
    }

    // Set up the special event days in the month.
    var specialEventDay = [1, 8, 17, 22];
    var specialEvent = ["April Fool's Day, Easter", "Orthodox Easter", "Tax Day", "Earth Day"];
    var day;

    for (var day of specialEventDay) {
        var $td = $("#" + day);
        $td.html('<span class="specialDay">&bull;</span>' + $td.html() );
    }

    // Register the mouseover event
    $('table').on('mouseover', function(e) {
        var td = e.target;
        var eventIndex;
        var eventDescription;

        eventIndex = specialEventDay.indexOf(parseInt(td.id));
        eventDescription = (eventIndex != -1)? specialEvent[eventIndex] : "";

        $("#eventDescription").html(eventDescription);
    });

    $('table').on('mouseout', function(e) {
        var eventDescription = "";
        $("#eventDescription").html(eventDescription);
    });
});