<?php
//- File: index.php
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1.0">
        <title>jQuery Demo</title>
        <link href="https://www.w3schools.com/w3css/4/w3.css" rel="stylesheet">
    </head>

    <body id="page">
        <h1 id="stateH1" class="w3-panel w3-center w3-green">Alabama</h1>

        <main id="content" class="w3-row-padding">
            <div class="w3-container">
                <div class="w3-half w3-container">
                    <img id="stateImage" src="images/alabama.bmp" alt="Alabama State Image" style="width:100%">
                </div>
                <div class="w3-half w3-display-container">
                    <img id="stateFlagImage" src="images/alabama-flag.jpg" alt="Alabama Flag" style="width:60%">
                </div>
            </div>

            <div class="w3-panel w3-center">
                <button id="prevButton" class="w3-margin-top w3-button w3-green">&lt;&lt;</button>
                <button id="nextButton" class="w3-margin-top w3-button w3-green">&gt;&gt;</button>
            </div>
        </main>
        

        <footer class="w3-panel w3-center w3-text-gray w3-small">
            &copy; 2019 Socratis Tornaritis.
        </footer>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="js/index.js"></script>
    </body>
</html>