<?php
// File: showSQL.php

if ( $_SERVER['REQUEST_METHOD'] === 'POST') {
  
  try {
    $pdo = new PDO('mysql:host=localhost', 'root', 'root');
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $sql = $_POST['sql'];
    $sqlType = $_POST['sqlType'];
    
    if ($sqlType === 'query') {
      $results = $pdo->query($sql)->fetchAll(PDO::FETCH_ASSOC);
      $resultsData = "$sql\n";

      foreach($results as $index => $resultRow) {
        $resultsData .= "\n" . ++$index . ". ";
        foreach($resultRow as $key => $value) {
          $resultsData .= "[$key = $value]";
        }
      }

    } else {
      $resultsData = $pdo->exec($sql) . " row(s) affected.";
    }

    $pdo = null;
  } catch(PDOEXCEPTION $e) {
    die ( $e->getMessage() );
  }
}
?>
<form action="showSQL.php" method="POST">
<p>Enter your SQL query:</p>
<p><textarea name="sql" 
             id="" 
             cols="100" rows="20" 
             autofocus
             style="font-family: courier;"><?php echo $resultsData; ?></textarea></p>
<p><button name="sqlType" value="query">Query</button>
   <button name="sqlType" value="exec">Execute</button><p>
</form>