<?php
    // File: form-basic-draft-1-handler.php
    
    declare(strict_types = 1);
    error_reporting(E_ALL);
    ini_set('display_errors', '1');


    // Get the form field values.
    $fname = $_POST['fname'];
    $lname = $_POST['lname'];
    $yearInSchool = $_POST['yearInSchool'];
    $csProgram = isset($_POST['csProgram'])? $_POST['csProgram'] : '';
   
    $isFnameEmpty = empty($fname);
    $isLnameEmpty = empty($lname);
    $isYearInSchoolEmpty = empty($yearInSchool);
    $isCsProgramEmpty = empty($csProgram);

    $hasFormEmptyFields =  $isFnameEmpty || $isLnameEmpty || $isYearInSchoolEmpty || $isCsProgramEmpty;

    $clubs = '';

    if ( $hasFormEmptyFields ) {
        // Send them back to fill the form.
        include 'form-basic-draft-1.php';

    } else {
        // Handle the form by displaying their choices.
        if ( isset($_POST['clubs']) ) {
            foreach($_POST['clubs'] as $club) {
                $clubs .= "<br>$club";
            }
        } else {
            $clubs = 'None';
        }
        
        echo "
        <h1>Entered values:</h1>
        <p>Name (last, first): $lname, $fname</p>
        <p>Year in school: $yearInSchool</p>
        <p>CS program: $csProgram</p>
        <p>Clubs: $clubs</p>
        ";
    }
?>